summaryrefslogtreecommitdiffstats
path: root/games/zsnes
diff options
context:
space:
mode:
author Antonio Hern√°ndez Blas <hba.nihilismus@gmail.com>2010-05-11 22:23:11 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 22:23:11 +0200
commitd261eb11eba3b802ad2210e08b40eb567fe80f5f (patch)
tree75b8c52483d91d2c4f45072aea3bb5f44b27220d /games/zsnes
parent264595a011491e7bec132b051b97712fd286bef7 (diff)
downloadslackbuilds-d261eb11eba3b802ad2210e08b40eb567fe80f5f.tar.gz
slackbuilds-d261eb11eba3b802ad2210e08b40eb567fe80f5f.tar.xz
games/zsnes: Updated for version 1.51
Diffstat (limited to 'games/zsnes')
-rw-r--r--games/zsnes/README2
-rw-r--r--games/zsnes/doinst.sh4
-rw-r--r--games/zsnes/zsnes.SlackBuild68
-rw-r--r--games/zsnes/zsnes.desktop4
-rw-r--r--games/zsnes/zsnes.info10
5 files changed, 60 insertions, 28 deletions
diff --git a/games/zsnes/README b/games/zsnes/README
index 56ae32eddb..90b0f21ee0 100644
--- a/games/zsnes/README
+++ b/games/zsnes/README
@@ -1,5 +1,3 @@
-ZSNES - SNES games emulator
-
ZSNES is a Super Nintendo emulator programmed by zsKnight and _Demo_.
On April 2, 2001 the ZSNES project was GPL'ed and its source released
to the public. It currently runs on Windows, Linux, FreeBSD, and DOS.
diff --git a/games/zsnes/doinst.sh b/games/zsnes/doinst.sh
index 22d4849bce..b310837870 100644
--- a/games/zsnes/doinst.sh
+++ b/games/zsnes/doinst.sh
@@ -1,5 +1,5 @@
-if [ -x usr/bin/update-desktop-database ]; then
- usr/bin/update-desktop-database usr/share/applications >/dev/null 2>&1
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications
fi
diff --git a/games/zsnes/zsnes.SlackBuild b/games/zsnes/zsnes.SlackBuild
index 543332ab3f..da8fb4132c 100644
--- a/games/zsnes/zsnes.SlackBuild
+++ b/games/zsnes/zsnes.SlackBuild
@@ -1,16 +1,34 @@
#!/bin/sh
# Slackware build script for zsnes
-# Written by eroc <coreroc@linuxmail.org>
-# Modified by the SlackBuilds.org project
+
+# Copyright (c) 2008, Antonio HernŠndez Blas <hba.nihilismus@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are met:
+# 1.- Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY
+# EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
+# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
+# DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY
+# DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
+# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
+# LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=zsnes
VERSION=1.51
ZSNESSRC=151src
ZSNESDIR=_1_51
ARCH=${ARCH:-i486}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-3}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
@@ -20,42 +38,60 @@ if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
fi
-rm -rf $PKG
+set -e
+
+rm -rf $PKG
mkdir -p $TMP $PKG/usr $OUTPUT
-cd $TMP || exit 1
+cd $TMP
rm -rf $PRGNAM-$VERSION
-tar -jxvf $CWD/$PRGNAM$ZSNESSRC.tar.bz2 || exit 1
+tar xvf $CWD/$PRGNAM$ZSNESSRC.tar.bz2
# Fix the directory tree in zsnes:
-mv $PRGNAM$ZSNESDIR $PRGNAM-$VERSION || exit 1
-mv $PRGNAM-$VERSION/src/* $PRGNAM-$VERSION || exit 1
+mv $PRGNAM$ZSNESDIR $PRGNAM-$VERSION
+mv $PRGNAM-$VERSION/src/* $PRGNAM-$VERSION
cd $PRGNAM-$VERSION
chown -R root:root .
-chmod -R a-s,u+rw,go-w .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
+force_arch="$ARCH" \
./configure \
--prefix=/usr \
- --disable-debugger \
- || exit 1
+ --enable-release \
+ --disable-cpucheck \
+ --disable-debugger
-CFLAGS="$SLKCFLAGS" CXXFLAGS="$SLKCFLAGS" force_arch="$ARCH" make || exit 1
-make install DESTDIR=$PKG || exit 1
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+force_arch="$ARCH" \
+make
+make install DESTDIR=$PKG
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
)
-gzip -9 $PKG/usr/man/man1/zsnes.1
+if [ -d $PKG/usr/man ]; then
+ ( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+ )
+fi
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a docs/* $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
-# Place a .desktop file and icon for good menu integration
+# Add a .desktop file and icon for good menu integration
install -D -m 0644 $CWD/zsnes.desktop $PKG/usr/share/applications/zsnes.desktop
install -D -m 0644 $CWD/zsnes.png $PKG/usr/share/pixmaps/zsnes.png
diff --git a/games/zsnes/zsnes.desktop b/games/zsnes/zsnes.desktop
index a95c8341b8..ae8943f454 100644
--- a/games/zsnes/zsnes.desktop
+++ b/games/zsnes/zsnes.desktop
@@ -1,14 +1,12 @@
[Desktop Entry]
-Encoding=UTF-8
Name=ZSNES
Comment=SNES Emulator
Exec=zsnes
Icon=/usr/share/pixmaps/zsnes.png
Terminal=false
Type=Application
-Categories=GNOME;GTK;Game;
+Categories=GNOME;GTK;Qt;KDE;Game;
StartupNotify=false
GenericName=ZSNES Emulator
X-KDE-StartupNotify=false
X-DCOP-ServiceType=Multi
-Categories=Qt;KDE;Game;
diff --git a/games/zsnes/zsnes.info b/games/zsnes/zsnes.info
index 7e0216b7a4..392d09185f 100644
--- a/games/zsnes/zsnes.info
+++ b/games/zsnes/zsnes.info
@@ -1,8 +1,8 @@
PRGNAM="zsnes"
VERSION="1.51"
HOMEPAGE="http://www.zsnes.com"
-DOWNLOAD="http://dl.sourceforge.net/zsnes/zsnes151src.tar.bz2"
-MD5SUM="328071775f88f7c3b9fdb94176e5e417"
-MAINTAINER="eroc"
-EMAIL="coreroc@linuxmail.org"
-APPROVED="rworkman"
+DOWNLOAD="http://prdownloads.sourceforge.net/zsnes/zsnes151src.tar.bz2"
+MD5SUM="7071186bf80632ae88a153239498d8c9"
+MAINTAINER="Antonio HernŠndez Blas"
+EMAIL="hba.nihilismus@gmail.com"
+APPROVED="David Somero,rworkman"